## How to contribute to SocialFish

#### **Did you find a bug?**

* **Make sure** you have followed the [setup instructions](https://github.com/UndeadSec/SocialFish/wiki/Setting-Up-SocialFish) correctly.

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/UndeadSec/SocialFish/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/UndeadSec/SocialFish/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

* If possible, use the relevant bug report templates to create the issue. Simply **fill the info** that each kind of issue template has.

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

#### **Did you fix whitespace, format code, or make a purely cosmetic patch?**

Changes that are cosmetic in nature and do not add anything substantial to the stability, functionality, or testability of SocialFish will generally not be accepted.

#### **Do you intend to add a new feature or change an existing one?**

* Discuss your change with us in our [Telegram channel](https://t.me/UndeadSec) and start writing code.

* Do not open an issue on GitHub until you have collected positive feedback about the change. GitHub issues are primarily intended for bug reports and fixes.

#### **Do you have questions about the source code?**

* Ask any question about how to use SocialFish in the [Telegram channel](https://t.me/UndeadSec).


UndeadSec is a volunteer effort. We encourage you to pitch in and [join the team](https://t.me/UndeadSec)!

Thanks! :heart: :heart: :heart:
